glibmm: Glib::Container_Helpers::ListHandleIterator< Tr > Class Template Reference

glibmm 2.50.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Glib::Container_Helpers::ListHandleIterator< Tr > Class Template Reference
Generic container converters » Helper classes

`#include <glibmm/listhandle.h>`

## Public Types
using | CppType = typename Tr::CppType
using | CType = typename Tr::CType
using | iterator_category = std::forward_iterator_tag
using | value_type = CppType
using | difference_type = std::ptrdiff_t
using | reference = value_type
using | pointer = void

## Public Member Functions
| ListHandleIterator (const GList* node)
value_type | operator* () const
ListHandleIterator< Tr >& | operator++ ()
const ListHandleIterator< Tr > | operator++ (int)
bool | operator== (const ListHandleIterator< Tr >& rhs) const
bool | operator!= (const ListHandleIterator< Tr >& rhs) const

## Member Typedef Documentation

template <class Tr >

using Glib::Container_Helpers::ListHandleIterator< Tr >::CppType = typename Tr::CppType

template <class Tr >

using Glib::Container_Helpers::ListHandleIterator< Tr >::CType = typename Tr::CType

template <class Tr >

using Glib::Container_Helpers::ListHandleIterator< Tr >::difference_type = std::ptrdiff_t

template <class Tr >

using Glib::Container_Helpers::ListHandleIterator< Tr >::iterator_category = std::forward_iterator_tag

template <class Tr >

using Glib::Container_Helpers::ListHandleIterator< Tr >::pointer = void

template <class Tr >

using Glib::Container_Helpers::ListHandleIterator< Tr >::reference = value_type

template <class Tr >

using Glib::Container_Helpers::ListHandleIterator< Tr >::value_type = CppType

## Constructor & Destructor Documentation

template <class Tr >

Glib::Container_Helpers::ListHandleIterator< Tr >::ListHandleIterator | ( | const GList * | node | ) |
| inlineexplicit

## Member Function Documentation

template <class Tr >

bool Glib::Container_Helpers::ListHandleIterator< Tr >::operator!= | ( | const ListHandleIterator< Tr >& | rhs | ) | const
| inline

template <class Tr >

value_type Glib::Container_Helpers::ListHandleIterator< Tr >::operator* | ( |  | ) | const
| inline

template <class Tr >

ListHandleIterator<Tr>& Glib::Container_Helpers::ListHandleIterator< Tr >::operator++ | ( |  | ) |
| inline

template <class Tr >

const ListHandleIterator<Tr> Glib::Container_Helpers::ListHandleIterator< Tr >::operator++ | ( | int |  | ) |
| inline

template <class Tr >

bool Glib::Container_Helpers::ListHandleIterator< Tr >::operator== | ( | const ListHandleIterator< Tr >& | rhs | ) | const
| inline